from flush_compiler_caches import flush
from generate_bootstrap import bootstrap
import subprocess
import sys

flush()

subprocess.check_call([sys.executable, "-m", "pytest"], cwd="state")

bootstrap()

subprocess.check_call([sys.executable, "-m", "pytest"], cwd="kernel")

flush()

subprocess.check_call([sys.executable, "-m", "pytest"], cwd="interface/HUTN")

subprocess.check_call([sys.executable, "-m", "pytest", "integration"])
